#include <stdio.h>
#include <stdlib.h>
#define DIM 1000
#define DIM2 1000000000
int main()
{
    int n,i,l,H[DIM],ind;
    do{
        scanf("%d %d",&n,&l);
        if(n<1 || n>DIM || l<1 || l>DIM2)printf("Greska!");
    }while(n<1 || n>DIM || l<1 || l>DIM2);
    for(i=0;i<n;i++){
        do{
            scanf("%d",&H[i]);
            if(H[i]<1 || H[i]>DIM2)printf("Greska");
        }while(H[i]>DIM2 || H[i]<1);
    }
    ind=-1;
    for(i=0;i<n;i++){
        if(l>=H[i]){
            ind=i+1;
            break;
        }
    }
    printf("%d",ind);
    return 0;